GetTokenBalance()

Summary

Route

Type

Example

/monitor/gettokenbalance

POST

http://apinode.credits.com/api/monitor/gettokenbalance

Description

Gets the token balance of a wallet.

Request

Request Structure

{

// Parameters common for all request

// Wallet address

"PublicKey": "base58_string",

“tokens”: “string” // List of tokens separated by a comma

}

Request Parameters

string: PublicKey - Wallet address (public key) in Base58

string: tokens - List of tokens separated by a comma (“aaa, bbb, ddd”). If not specified, a list of all stored tokens will be displayed

Response

JSON output depends on the request type and its success.

If there’s an error, request returns to the node basic Result:

  • Success: False

  • Message:

If successful, requested information is returned.

Response Structure

{

“tokens”: [

“name” : “string_value”,

“balance”: “string_value”]

}

Example Code

import requests
import json
def gettokenbalance():
url = 'http://apinode.credits.com/api/monitor/gettokenbalance'
headers = {
'Content-type': 'application/json'
, 'Accept': 'application/json'
, 'Content-Encoding': 'utf-8'
}
data = {
"authKey": ""
, "networkAlias":"Mainnet"
, "PublicKey":"HhhRGwgA3W5qcNFrLC3odC4GmbkQnhdEc5XPqBiRW3Wx"
, "tokens": "BNX"
}
answer = requests.post(url, data=json.dumps(data), headers=headers)
response = answer.json()
print(response)
gettokenbalance()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json;
namespace Program.Getinfo
{
public class gettokenbalance
{
static readonly HttpClient client = new HttpClient();
public class body
{
public string authKey { get; set; }
public string networkAlias { get; set; }
public string PublicKey { get; set; }
public string tokens { get; set; }
}
public static async Task Main()
{
try
{
var body = new body
{
authKey = "",
networkAlias = "Mainnet",
PublicKey = "HhhRGwgA3W5qcNFrLC3odC4GmbkQnhdEc5XPqBiRW3Wx",
#include <iostream>

#include <cpprest/http_client.h>
#include <cpprest/filestream.h>

using namespace utility; // Common utilities like string conversions
using namespace web; // Common features like URIs.
using namespace web::http; // Common HTTP functionality
using namespace web::http::client; // HTTP client features
using namespace concurrency::streams; // Asynchronous streams
using namespace web::json;

int main(int argc, char* argv[])
{
web::json::value json_v;
web::json::value json_return;
json_v[L"authKey"] = web::json::value::string(L"");
json_v[L"NetworkAlias"] = web::json::value::string(L"Mainnet");
json_v[L"PublicKey"] = web::json::value::string(L"HhhRGwgA3W5qcNFrLC3odC4GmbkQnhdEc5XPqBiRW3Wx");